%define pypi_name zope.interface
%define pkg_name  zope-interface

Summary:        Zope 3 Interface Infrastructure
Name:           python-%{pkg_name}
Version:        5.4.0
Release:        %mkrel 1
License:        ZPLv2.1
Group:          Development/Python
URL:            https://pypi.org/project/zope.interface
Source0:        %{pypi_name}-%{version}.tar.xz

%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%package -n python3-%{pkg_name}
Summary:        Zope 3 Interface Infrastructure
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%prep
%setup -q -n zope.interface-%{version}

# drop bundled egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

# Will put docs in %%{_docdir} instead
rm -f %{buildroot}%{python3_sitearch}/zope/interface/*.txt

# C files don't need to be packaged
rm -f %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c

%files -n python3-%{pkg_name}
%doc README.rst LICENSE.txt CHANGES.rst COPYRIGHT.txt docs/
%{python3_sitearch}/zope/interface/
# Co-own %%{python3_sitearch}/zope/
%dir %{python3_sitearch}/zope/
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%{python3_sitearch}/zope.interface-*.egg-info
%{python3_sitearch}/zope.interface-*-nspkg.pth

%changelog
* Sun Aug 14 2022 TerryN <terryn94 at gmail.com> 5.4.0-1pclos2022
- import for python 3.10

